This forum is no longer active. Please post your questions to our new community site

Forums WAPPStack

PostgreSQL in WAPPstack.

Subscribe to PostgreSQL in WAPPstack. 2 post(s), 1 voice

 
Avatar mhartman 9 post(s)

Does anyone have any luck getting DBI-LINK to work in PostgreSQL?

My php application needs to connect to an existing Oracle database as well as the local PostgreSQL database, which means popping in DBI-LINK, which means popping in ActivePerl. It seems the “plperl.dll” built in PostgreSQL wants ActivePerl 5.8 but a step later in the process wants ActivePerl 5.10. I’ve tried installing 5.8, copying perl58.dll, uninstalling 5.8, installing 5.10, copying back in perl58.dll, and doing it all again, but it still does not work.

 
Avatar mhartman 9 post(s)

I’ve given up on DBI-LINK. I managed to get it installed and to replicate a database schema, but SELECT statements all failed.

I’m just going to use straight PDO code in PHP to hit on the database. Thing is, the smallest query seems to take 5-10 minutes. Good God.. I think I’m regretting suggesting my department move from our dozens of ASP.NET / MSSQL installs to PHP / PostgreSQL. The smallest features take half a dozen additional installs and are buggy (such as SSL)..

Forums WAPPStack